Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  entmod attrib farbe

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   entmod attrib farbe (506 mal gelesen)
CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 22. Mai. 2012 14:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Leute!!!

Warscheinlich ist die Lösung des Problems denkbar einfach, also klärt mich bitte auf.

Problem:
Ich habe einen Attributsblock in dem das Attribut auf einem Layer liegt, dessen Farbe "vonlayer" ist. Bei der auswertung mit (enget(car(nentsel))) wird deswegen der gruppencode 62 nicht eingefügt.
1. hab ich versucht mit
(entmod (subst (cons 62 2)(assoc 62 (entget AUSWAHL))(entget AUSWAHL))) zu ändern, leider ohne erfolg weil so wie es scheint der gruppencode 62 in der liste nicht vorhanden ist.
2. habe ich versucht (entmod(append (cons 62 2)(entget AUSWAHL)))
ergebnis war die
((62 . 2) (-1 . <Objektname: 6a585488> ) (0 . "ATTRIB") (330 . <Objektname: 6a585400> ) (5 . "17F79") (100 . "AcDbEntity") (67 . 1) (410 . "EG - AFU - VOR") (8 . "Plankopf")  (100 . "AcDbText") (10 335.772 103.965 0.0) (40 . 2.5) (1 . "UNBEKANNT") (50 . 0.0) (41 . 1.0) (51 . 0.0) (7 . "plan1") (71 . 0) (72 . 0) (11 0.0 0.0 0.0) (210 0.0 0.0 1.0) (100 . "AcDbAttribute") (2 . "MASSSTAB") (70 . 0) (73 . 0) (74 . 0) (280 . 1))

DOCH wurde die farbe des attributs nicht geändert, und nach erneutem (entget AUSWAHL) war der gruppencode 62 nicht mehr vorhanden.

WARUM?
Bitte um hilfe

mfg blue

[Diese Nachricht wurde von CADblue am 22. Mai. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1615
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2018
CIVIL 2010 - 2018
BricsCAD V13-V18
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 22. Mai. 2012 14:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADblue 10 Unities + Antwort hilfreich

Hallo Blue,
vielleicht so ? => ausprobieren.

(entmod(append (entget AUSWAHL)(list(cons 62 2))))

Meiner Erfahrung nach kann man den 62er Code einfach hinten anhängen, bei anderen Codes ist tlw. auch die richtige Reihenfolge zu beachten.


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

[Diese Nachricht wurde von joern bosse am 22. Mai. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Konstrukteur (w/m) für elektromechanische Baugruppen im Fahrzeugbau
Atlastitan - Technology Consulting - Projektunterstützung - Personalberatung - Projektmanagement Die Atlastitan ist der Partner im technischen Projektmanagement. Gegründet wurde sie mit dem Ziel, ein Beratungsunternehmen zu schaffen, das höchste Professionalität und Flexibilität mit den Werten Fairness, Transparenz, Verbindlichkeit und Verantwortung verbindet - die Atlastitan Idee....
Anzeige ansehenKonstruktion, Visualisierung
CADblue
Mitglied



Sehen Sie sich das Profil von CADblue an!   Senden Sie eine Private Message an CADblue  Schreiben Sie einen Gästebucheintrag für CADblue

Beiträge: 111
Registriert: 20.07.2011

acad 2016 + civil

erstellt am: 22. Mai. 2012 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hey joern

danke für die antwort, dachte mir schon sowas und wie gesagt denkbar einfach die lösung und es funktioniert auch wunderbar...

danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de